export default store => {
  store.subscribe(async mutation => {
    // load eshop Listing defaults
    if (mutation.type === 'route/ROUTE_CHANGED') {
      store.dispatch('noticeReadByMatch', { link: { url: mutation.payload.to.path } })
    }
  })
}
